## com.blogspot.applications4android.comicreader
Class ComicUpdater

    java.lang.Object
      <any>
          com.blogspot.applications4android.comicreader.ComicUpdater

    public class ComicUpdater

extends <any>

Class responsible for downloading the comic-strip while displaying a progress dialog

Constructor Summary
`ComicUpdater()`

Method Summary
`protected java.lang.Void` `doInBackground(java.lang.Integer... arg0)`
`protected void` `onPostExecute(java.lang.Void arg0)`
`protected void` `onPreExecute()`
`protected void` `onProgressUpdate(java.lang.Void... arg0)`
`void` `setActivity(ComicStripViewer a)` Set the activity upon which to display the progress dialog

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComicUpdater

    public ComicUpdater()

Method Detail

### setActivity

    public void setActivity(ComicStripViewer a)

  Set the activity upon which to display the progress dialog

  Parameters:
    `a` - the desired activity

### doInBackground

    protected java.lang.Void doInBackground(java.lang.Integer... arg0)

### onPreExecute

    protected void onPreExecute()

### onPostExecute

    protected void onPostExecute(java.lang.Void arg0)

### onProgressUpdate

    protected void onProgressUpdate(java.lang.Void... arg0)